Component({
  props: {
    classStyleName: '' // 样式名称

  },
  data: {
    modalOpened: false,
    // 模态框是否显示
    title: '',
    // 标题
    content: '',
    // 文案内容
    buttonsList: [],
    // 模态框按钮
    onButtonClick: null // 点击弹窗按钮回调

  },

  didMount() {
    // 将当前实例赋值给父组件
    this.$page.$modalConfirm = this;
  },

  methods: {
    /**
     * 点击弹窗按钮, 调用父组件传来的函数
     */
    onModalClick(e) {
      this.data.onButtonClick(e);
    },

    /**
     * 打开模态框
     * @param {*} options 父组件向模态框传来的参数
     */
    showModel(options) {
      this.setData({ ...options,
        modalOpened: true
      });
    },

    /**
     * 关闭模态框
     */
    hideModel() {
      this.setData({
        modalOpened: false
      });
    }

  }
});